Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class OutputDefinition

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPSDescription
          org.deegree.ogcwebservices.wps.execute.OutputDefinition

    public class OutputDefinition

extends WPSDescription

OutputDefinitionType.java Created on 09.03.2006. 22:35:39h Definition of a format, encoding, schema, and unit-of-measure for an output to be returned from a process.

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Field Summary
`protected URI` | `encoding` The encoding of this input or requested for this output (e.g., UTF-8).
`protected String` | `format` The Format of this input or requested for this output (e.g., text/XML).
`protected URL` | `schema` Web-accessible XML Schema Document that defines the content model of this complex resource (e.g., encoded using GML 2.2 Application Schema).
`protected URI` | `uom` Reference to the unit of measure (if any) requested for this output.

Fields inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`_abstract, identifier, title`

Constructor Summary
`OutputDefinition(Code identifier, String title, String _abstract, URI encoding, String format, URL schema, URI uom)`

Method Summary
`URI` | `getEncoding()`
`String` | `getFormat()`
`URL` | `getSchema()`
`URI` | `getUom()`

Methods inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`getAbstract, getIdentifier, getTitle, setAbstract, setIdentifier, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uom

    protected URI uom

  Reference to the unit of measure (if any) requested for this output. A uom can be referenced when a client wants to specify one of the units of measure supported for this output. This uom shall be a unit of measure referenced for this output of this process in the Process full description.

### encoding

    protected URI encoding

  The encoding of this input or requested for this output (e.g., UTF-8). This "encoding" shall be included whenever the encoding required is not the default encoding indicated in the Process full description. When included, this encoding shall be one published for this output or input in the Process full description.

### format

    protected String format

  The Format of this input or requested for this output (e.g., text/XML). This element shall be omitted when the Format is indicated in the http header of the output. When included, this format shall be one published for this output or input in the Process full description.

### schema

    protected URL schema

  Web-accessible XML Schema Document that defines the content model of this complex resource (e.g., encoded using GML 2.2 Application Schema). This reference should be included for XML encoded complex resources to facilitate validation.

Constructor Detail

### OutputDefinition

    public OutputDefinition(Code identifier,
                            String title,
                            String _abstract,
                            URI encoding,
                            String format,
                            URL schema,
                            URI uom)

Parameters:
  `identifier` -
  `title` -
  `_abstract` -
  `encoding` -
  `format` -
  `schema` -
  `uom` -

Method Detail

### getEncoding

    public URI getEncoding()

  Returns:
    Returns the encoding.

### getFormat

    public String getFormat()

  Returns:
    Returns the format.

### getSchema

    public URL getSchema()

  Returns:
    Returns the schema.

### getUom

    public URI getUom()

  Returns:
    Returns the uom.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org